/*
 * Copyright 2002 by Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

/*
 * This file is part of the FSG PAPI Project
 *
 * The FSG PAPI Project is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * The FSG PAPI Project is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with the FSG PAPI Project; see the file COPYING.LIB.  If not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _PAPI_IMPL_H
#define _PAPI_IMPL_H

#include <papi.h>

/* $Id: papi_impl.h,v 1.2 2002/10/24 06:13:24 jacobs Exp $ */
#pragma ident	"@(#)papi_impl.h	1.1	02/08/22 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#include <time.h>
#include <sys/types.h>
#include <stdarg.h>

/*
 * Implementation specific types/prototypes/definitions follow
 *
 *
 * Ex:
 */

typedef struct {
	papi_attribute_t **attributes;
	int (*authCB)(papi_service_t svc);
	void *app_data;
} service_t;

typedef struct job {
	papi_attribute_t **attributes;	/* job attributes */
} job_t;

typedef struct {
	papi_attribute_t **attributes;	/* queue attributes */
} printer_t;

typedef int job_stream_t;

extern void detailed_error(service_t *svc, char *fmt, ...);


#ifdef __cplusplus
}
#endif

#endif /* _PAPI_IMPL_H */
